routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\App;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::redirect('/', '/pt');

Route::group(['prefix' => '{language}'], function(){
    Route::get('/', function () {
        return view('index');
    });
    Route::resource('/backoffice/categorias', 'CategoryController')->middleware('auth');
    Route::resource('/backoffice/comidas', 'FoodController')->middleware('auth');
    
    Route::resource('/backoffice/menus', 'MenuController')->middleware('auth');
    Route::get('/backoffice', 'MenuController@index')->middleware('auth');
    Route::delete('/backoffice/menusContent/{id}', 'MenuController@destroy')->middleware('auth');
    Route::delete('/backoffice/menusContent/{id}', ['as' => 'menusContent.destroy', 'uses' => 'MenuController@menuContentDestroy'])->middleware('auth');
});

Route::post('sendform', 'MailTreatController@sendContactForm');
Auth::routes();

Route::get('/home', function() {
    return view('home');
})->name('home')->middleware('auth');

app/Http/Controllers/BackofficeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class BackofficeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('backoffice.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/backoffice/pages/categories.blade.php
@extends('adminlte::page')

@section('title', 'Dashboard')

@section('content_header')
    <h1>Categorias</h1>
@stop

@section('plugins.Datatables', true)

@section('content')
    <div class="main">

        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">

                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Criar nova Categoria</h4>
                        </div>
                        <div class="card-body">
                            <form action="{{ route('menus.store', app()->getLocale()) }}" method="POST">
                                @csrf
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Nome (Português)</label>
                                            <input type="text" class="form-control" name="name_pt" placeholder="Nome do menu em Português">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Nome (Inglês)</label>
                                            <input type="text" class="form-control" name="name_en" placeholder="Nome do menu em Inglês">
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-info btn-fill pull-right">Criar</button>
                                <div class="clearfix"></div>
                            </form>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Listagem de Categorias criadas</h4>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table datatable">
                                    <thead class=" text-primary">
                                        <th>
                                            ID
                                        </th>
                                        <th>
                                            Name
                                        </th>
                                        <th>
                                            Actions
                                        </th>
                                    </thead>
                                    <tbody>
                                        @if($categories->count() > 0)
                                        @foreach($categories as $category)
                                        <tr>
                                            <td>
                                                {{$category->id}}
                                            </td>
                                            <td>
                                                <b>Português:</b> {{$category->name_pt}} <br> <b>Inglês:</b> {{$category->name_en}}
                                            </td>
                                            <td class="text-primary">
                                                <a href="{{ route('comidas.edit', [app()->getLocale(), $category->id]) }}" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#editCategoryModal" data-categoria_id="{{ $category->id }}" data-name_pt="{{ $category->name_pt }}" data-name_en="{{ $category->name_en }}">Editar</a>
                                                <form action="{{ route('categorias.destroy', ['language' => app()->getLocale(), 'categoria' => $category->id]) }}" method="POST" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="submit" class="btn btn-danger btn-fill btn-sm"><i class="fa fa-trash"></i></button>
                                                </form>
                                            </td>
                                        </tr>
                                        @endforeach
                                        @else
                                        <tr>
                                            <td colspan="5" class="text-center">No categories found</td>
                                        </tr>
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <div class="modal fade" id="editCategoryModal" tabindex="-1" role="dialog" aria-labelledby="editCategoryModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="editCategoryModalLabel">Editar Categoria</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="#" method="PUT">
                        @csrf
                        @method('PUT')
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Nome (Português)</label>
                                    <input type="text" class="form-control" name="name_pt" placeholder="Nome do menu em Português">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Nome (Inglês)</label>
                                    <input type="text" class="form-control" name="name_en" placeholder="Nome do menu em Inglês">
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                    <button type="button" class="btn btn-primary save-row">Guardar</button>
                </div>
            </div>
        </div>
    </div>
@stop

@section('css')

@stop

@section('js')
    <script> 

    $('.select2').select2({
        placeholder: "Selecione um item",
    });
    $(document).ready(function() {
        $('#editCategoryModal').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget); // Button that triggered the modal
            var categoria_id = button.data('categoria_id'); // Extract info from data-* attributes
            var modal = $(this);
            modal.find('.modal-body form').attr('action', '/{{ app()->getLocale() }}/backoffice/categorias/' + categoria_id);
            modal.find('.modal-body form input[name="_method"]').val('PUT');
            modal.find('#editCategoryModalLabel').text(`A Editar - ${button.data('name_pt')}`);
            modal.find('.modal-body form input[name="name_pt"]').val(button.data('name_pt'));
            modal.find('.modal-body form input[name="name_en"]').val(button.data('name_en'));
        });

        $('.save-row').click(function(e) {
                e.preventDefault();
                var url = $('#editCategoryModal').find('.modal-body form').attr('action');
                var method = $('#editCategoryModal').find('.modal-body form input[name="_method"]').val();
                console.log(url, method);
                $.ajax({
                    url: url,
                    type: method,
                    data: $('#editCategoryModal .modal-body form').serialize(),
                    success: function(result) {
                        $('#editCategoryModal').modal('hide');
                        location.reload();
                    }
                });
            });

        $('.datatable').DataTable({
            "language": {
                "lengthMenu": "Mostrar _MENU_ registros por página",
                "zeroRecords": "Nenhum registro encontrado",
                "info": "Mostrando página _PAGE_ de _PAGES_",
                "infoEmpty": "Nenhum registro disponível",
                "infoFiltered": "(filtrado de _MAX_ registros no total)",
                "search": "Pesquisar",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Próximo"
                }
            },
            "order": [[ 0, "desc" ]],
            "columnDefs": [
                { "orderable": false, "targets": 2 }
            ]
        });
    });
    </script>
@stop

resources/views/backoffice/pages/menu-content-list.blade.php
<table class="datatable-edit">
    <thead>
        <tr>
            <th>Categoria</th>
            <th>Comida</th>
            <th>Preço</th>
            <th style="text-align: right;">Ações</th>
        </tr>
    </thead>
    <tbody class="table datatable">
        @if($menu->menuContent->count() > 0)
        @foreach($menu->menuContent as $menuContent)
        <tr>
            <td>{{$menuContent->item->category->name_pt}}</td>
            <td>{{$menuContent->item->name_pt}}</td>
            <td>{{$menuContent->item->price}}</td>
            <td style="text-align: right;">
                <form action="{{ route('menusContent.destroy', ['language' => app()->getLocale(), 'id' => $menu->id]) }}" method="POST" class="d-inline">
                    @csrf
                    @method('DELETE')
                    <button type="submit" class="btn btn-danger btn-fill btn-sm"><i class="fa fa-trash"></i></button>
                </form>
            </td>
        </tr>
        @endforeach
        @else
        <tr>
            <td colspan="5" class="text-center">No menus found</td>
        </tr>
        @endif
    </tbody>
</table>

@section('js')
    <script> 
    $(document).ready(function() {
       
    });


    </script>
@stop

resources/views/backoffice/pages/menus.blade.php
@extends('adminlte::page')

@section('title', 'Dashboard')

@section('content_header')
    <h1>Menus</h1>
@stop

@section('plugins.Datatables', true)

@section('content')
    <div class="main">

        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">

                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Criar novo Menu</h4>
                        </div>
                        <div class="card-body">
                            <form action="{{ route('menus.store', app()->getLocale()) }}" method="POST">
                                @csrf
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Nome (Português)</label>
                                            <input type="text" class="form-control" name="name_pt" placeholder="Nome do menu em Português">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Nome (Inglês)</label>
                                            <input type="text" class="form-control" name="name_en" placeholder="Nome do menu em Inglês">
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-info btn-fill pull-right">Criar</button>
                                <div class="clearfix"></div>
                            </form>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Listagem de Menus criados</h4>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table datatable">
                                    <thead class=" text-primary">
                                        <th>
                                            ID
                                        </th>
                                        <th>
                                            Name
                                        </th>
                                        <th>
                                            Actions
                                        </th>
                                    </thead>
                                    <tbody>
                                        @if($menus->count() > 0)
                                            @foreach($menus as $menu)
                                            <tr>
                                                <td>
                                                    {{$menu->id}}
                                                </td>
                                                <td>
                                                    {{$menu->name_pt}}
                                                </td>
                                                <td>
                                                    <button type="button" class="btn btn-info btn-fill btn-md" data-toggle="modal" data-target="#editModal" data-menu_id="{{ $menu->id }}" data-menu_name="{{ $menu->name_pt }}"><i class="fa fa-edit"></i></button>
                                                    <form action="{{ route('menus.destroy', ['language' => app()->getLocale(), 'menu' => $menu->id]) }}" method="POST" class="d-inline">
                                                        @csrf
                                                        @method('DELETE')
                                                        <button type="submit" class="btn btn-danger btn-fill btn-md"><i class="fa fa-trash"></i></button>
                                                    </form>
                                                </td>
                                            </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="5" class="text-center">No menus found</td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Modal Edit -->
            <div class="modal modal-fullscreen fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="editModalLabel">Editar Menu</h5>
                            <button type="button" onClick="addMenuContent()" class="add-menu-item form-control"><i class="fa fa-plus"></i></button>
                        </div>
                        <div class="modal-body">
                            <form>
                                @csrf
                                @method('PUT')
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Nome (Português)</label>
                                            <input type="text" class="form-control" name="name_pt" placeholder="Nome do menu em Português">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Nome (Inglês)</label>
                                            <input type="text" class="form-control" name="name_en" placeholder="Nome do menu em Inglês">
                                        </div>
                                    </div>
                                </div>

                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                            <button type="button" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Modal Edit -->
            <div class="modal modal-fullscreen fade" id="addContentModal" tabindex="-1" role="dialog" aria-labelledby="addContentModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="addContentModalLabel">Adicionar Item ao Menu</h5>
                        </div>
                        <div class="modal-body">
                            <form>
                                @csrf
                                @method('POST')
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label> Comidas </label>
                                            <select class="form-control select2" style="width: 100%!important;" name="item_id">
                                                @foreach($items as $item)
                                                    <option value="{{ $item->id }}">{{ $item->name_pt }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                            <button type="button" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>


        </div>
    </div>
@stop

@section('css')
    {{-- <link rel="stylesheet" href="/css/admin_custom.css"> --}}
    <style>
    table.datatable-edit{
        width: 100% !important;
    }
    .modal.modal-fullscreen .modal-dialog,
    .modal.modal-fullscreen .modal-content {
    bottom: 0;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    }
    .modal.modal-fullscreen .modal-dialog {
    margin: 0;
    width: 100%!important;
    max-width: 100%!important;
    animation-duration:0.6s;
    }
    .modal.modal-fullscreen .modal-content {
    border: none;
    -moz-border-radius: 0;
    border-radius: 0;
    -webkit-box-shadow: inherit;
    -moz-box-shadow: inherit;
    -o-box-shadow: inherit;
    box-shadow: inherit;
    }
    .modal.modal-fullscreen.force-fullscreen .modal-body {
    padding: 0;
    }
    .modal.modal-fullscreen.force-fullscreen .modal-header,
    .modal.modal-fullscreen.force-fullscreen .modal-footer {
    left: 0;
    position: absolute;
    right: 0;
    }
    .modal.modal-fullscreen.force-fullscreen .modal-header {
    top: 0;
    }
    .modal.modal-fullscreen.force-fullscreen .modal-footer {
    bottom: 0;
    }

    .add-menu-item{
        margin-right: 1rem;
        max-width: 50px;
        float: right;
        position: absolute;
        right: 0px;
    }


    </style>
@stop

@section('js')
    <script> 

    window.addMenuContent = function(){
        $('#editModal').modal('hide');
        $('#addContentModal').modal('show');
    }

    $('.select2').select2({
        placeholder: "Selecione um item",
        dropdownParent: $('#addContentModal')
    });

    $(document).ready(function() {
        $('#editModal').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget); // Button that triggered the modal
            var menu_id = button.data('menu_id'); // Extract info from data-* attributes
            var modal = $(this);
            modal.find('.modal-body form').attr('action', '/admin/menus/' + menu_id);
            modal.find('.modal-body form input[name="_method"]').val('PUT');
            modal.find('#editModalLabel').text(`A Editar - ${button.data('menu_name')}`);

            $.ajax({
                url: '/{{ app()->getLocale() }}/backoffice/menus/' + menu_id + '/edit',
                type: 'GET',
                success: function(response){
                    modal.find('.modal-body').html(response.content);
                }
            });
        });

        $('.datatable').DataTable({
            "language": {
                "lengthMenu": "Mostrar _MENU_ registros por página",
                "zeroRecords": "Nenhum registro encontrado",
                "info": "Mostrando página _PAGE_ de _PAGES_",
                "infoEmpty": "Nenhum registro disponível",
                "infoFiltered": "(filtrado de _MAX_ registros no total)",
                "search": "Pesquisar",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Próximo"
                }
            },
            "order": [[ 0, "desc" ]],
            "columnDefs": [
                { "orderable": false, "targets": 2 }
            ]
        });
    });
    </script>
@stop